import { FinancialIndicator } from "./FinancialIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type, IList$1 } from "igniteui-angular-core/ES2015/type";
import { DependencyProperty } from "igniteui-angular-core/ES2015/DependencyProperty";
import { List$1 } from "igniteui-angular-core/ES2015/List$1";
import { FinancialCalculationDataSource } from "./FinancialCalculationDataSource";
/**
 * @hidden
 */
export declare abstract class StrategyBasedIndicator extends FinancialIndicator {
    static $t: Type;
    constructor();
    protected qi(): void;
    protected p3: IndicatorCalculationStrategy;
    protected abstract readonly p4: IndicatorCalculationStrategy;
    protected abstract readonly qh: Type;
    static p7: List$1<string>;
    protected qa(): number;
    qj(a: number): void;
    protected qc(): number;
    protected p9(): number;
    static qn(a: number, b: Type, c: string): DependencyProperty;
    protected static qm(a: number, b: Type): DependencyProperty;
    protected static qk(a: number, b: Type): DependencyProperty;
    protected static qo(a: number, b: Type): DependencyProperty;
    protected pg(a: number, b: number): IList$1<string>;
    protected pd(a: number, b: number): boolean;
    protected p6(a: FinancialCalculationDataSource): boolean;
    private p5;
    protected qb(a: number): number;
    protected mc(a: number, b: number): FinancialCalculationDataSource;
    protected p8(): number;
    protected static ql(a: number, b: Type): DependencyProperty;
    protected is(a: any, b: string, c: any, d: any): void;
}
